Summary:	Lightweight VTE-based terminal emulator
Name:		lxterminal
Version:	0.3.1
Release:	%mkrel 3.git20180225.1
License:	GPLv2+
Group:		Graphical desktop/Other
#Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
Source0:	https://github.com/lxde/lxterminal/archive/master.zip
Patch1:		%{name}-0.1.9-fix-default-font-color.patch
Patch2:		%{name}-master-mga-update-translations.patch
URL:		http://lxde.sourceforge.net/
BuildRequires:	gtk+2-devel 
BuildRequires:	vte-devel
BuildRequires:	intltool
BuildRequires:	docbook-to-man
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc

%description
Desktop-independent VTE-based terminal emulator without any unnecessary
dependencies.
 
Feature:
* Support Multi-tab.
* It doesn't have any unnecessary dependencies.
* All instances share the same process to reduce memory usage.
* It has correct behavior with nice performance when resizing window,
  tab and VTE stuff.
* Using UNIX socket instead of D-bus to accomplish all instances share
  the same process.

%prep
%setup -q -n %{name}-master
cp data/lxterminal.conf.in data/lxterminal.conf
%patch1 -p0
%patch2 -p1

%build
./autogen.sh
%configure2_5x --enable-man
%make_build

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_iconsdir}/*
%{_mandir}/man1/*




%changelog
* Tue May 22 2018 ns80 <ns80> 0.3.1-3.git20180225.1.mga6
  (not released yet)
+ Revision: 1231471
- update to latest git snapshot (mga#23053)

* Fri May 12 2017 ns80 <ns80> 0.3.0-6.mga6
+ Revision: 1100486
- update to latest git snapshot that fixes background transparency and fd close

* Wed May 10 2017 ns80 <ns80> 0.3.0-5.mga6
+ Revision: 1099967
- update to latest git snapshot for CVE-2016-10369 (mga#20815)

* Thu Feb 02 2017 ns80 <ns80> 0.3.0-4.mga6
+ Revision: 1084560
- update to latest snapshot to complete solarized palette

* Tue Jan 24 2017 ns80 <ns80> 0.3.0-3.mga6
+ Revision: 1083296
- update to latest git snapshot to fix potential build problem

* Mon Jan 16 2017 ns80 <ns80> 0.3.0-2.mga6
+ Revision: 1082007
- update to latest git snapshot to fix some problems including a memory leak

* Tue Dec 20 2016 ns80 <ns80> 0.3.0-1.mga6
+ Revision: 1076201
- new version 0.3.0

* Wed Dec 14 2016 ns80 <ns80> 0.2.1-0.20161214.1.mga6
+ Revision: 1074895
- latest git snapshot

* Tue Dec 13 2016 ns80 <ns80> 0.2.1-0.20161212.1.mga6
+ Revision: 1074458
- update Czech translation

* Mon Dec 12 2016 ns80 <ns80> 0.2.1-0.20161211.1.mga6
+ Revision: 1074316
- latest git snapshot

* Thu Dec 08 2016 ns80 <ns80> 0.2.1-0.20161208.1.mga6
+ Revision: 1073181
- update zh_TW translation

* Wed Dec 07 2016 ns80 <ns80> 0.2.1-0.20161206.1.mga6
+ Revision: 1072990
- Portuguese and Ukrainian translation updates
- rediff patch update-translations

* Mon Dec 05 2016 ns80 <ns80> 0.2.1-0.20161202.1.mga6
+ Revision: 1072530
- latest git snapshot

* Tue Oct 25 2016 ns80 <ns80> 0.2.1-0.20161025.1.mga6
+ Revision: 1063455
- latest git snapshot

* Thu Oct 20 2016 ns80 <ns80> 0.2.1-0.20161020.1.mga6
+ Revision: 1062627
- latest git snapshot

* Wed Oct 19 2016 ns80 <ns80> 0.2.1-0.20161019.1.mga6
+ Revision: 1062203
- latest git snapshot

* Tue Oct 18 2016 ns80 <ns80> 0.2.1-0.20161018.4.mga6
+ Revision: 1062023
- add other fixes from upstream

* Tue Oct 18 2016 ns80 <ns80> 0.2.1-0.20161018.3.mga6
+ Revision: 1061646
- add more fixes from upstream

* Tue Oct 18 2016 ns80 <ns80> 0.2.1-0.20161018.2.mga6
+ Revision: 1061564
- fix geometry hint

* Tue Oct 18 2016 ns80 <ns80> 0.2.1-0.20161018.1.mga6
+ Revision: 1061556
- latest git snapshot

* Fri Aug 12 2016 ns80 <ns80> 0.2.1-0.20160809.1.mga6
+ Revision: 1046090
- latest git snapshot to properly null-terminate arguments after copy and fix critical messages when opening window or tab

* Thu Jun 09 2016 ns80 <ns80> 0.2.1-0.20160607.3.mga6
+ Revision: 1020952
- correct a French translation

* Tue Jun 07 2016 ns80 <ns80> 0.2.1-0.20160607.2.mga6
+ Revision: 1020524
- update French translations

* Tue Jun 07 2016 ns80 <ns80> 0.2.1-0.20160607.1.mga6
+ Revision: 1020508
- latest git snapshot to prevent possible segfault when closing
- rediff patch update-translations

* Wed Feb 24 2016 ns80 <ns80> 0.2.1-0.20160220.2.mga6
+ Revision: 978007
- latest git snapshot
- rediff patch update-translations

* Fri Feb 12 2016 umeabot <umeabot> 0.2.0-3.mga6
+ Revision: 956102
- Mageia 6 Mass Rebuild

* Thu Jul 09 2015 ns80 <ns80> 0.2.0-2.mga6
+ Revision: 853064
- Add patch update-translations to add some missing French translations

* Mon Jul 06 2015 ns80 <ns80> 0.2.0-1.mga6
+ Revision: 851872
- New version 0.2.0

* Wed Oct 15 2014 umeabot <umeabot> 0.1.11-5.mga5
+ Revision: 738806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.11-4.mga5
+ Revision: 682103
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.11-3.mga4
+ Revision: 507661
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.11-2.mga3
+ Revision: 359223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 04 2011 fwang <fwang> 0.1.11-1.mga2
+ Revision: 131695
- new version 0.1.11 (drop merged patches)

* Sun Apr 24 2011 dmorgan <dmorgan> 0.1.9-4.mga1
+ Revision: 90027
- Set default opacity to 100%% ( Ubuntu)

* Sun Apr 24 2011 dmorgan <dmorgan> 0.1.9-3.mga1
+ Revision: 90023
- Really fix default font color

* Sat Apr 23 2011 dmorgan <dmorgan> 0.1.9-2.mga1
+ Revision: 90003
- Fix default color for the fonts ( #407)

* Fri Feb 04 2011 ahmad <ahmad> 0.1.9-1.mga1
+ Revision: 46942
- imported package lxterminal


* Thu Sep 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-1mdv2011.0
+ Revision: 575530
- update to 0.1.9
- add patch from upstream to make it build with latest vte

* Mon Jul 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.8-1mdv2011.0
+ Revision: 555006
- update to 0.1.8

* Mon Mar 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.7-1mdv2010.1
+ Revision: 513285
- new upstream release 0.1.7

* Mon Jul 13 2009 Funda Wang <fwang@mandriva.org> 0.1.6-1mdv2010.0
+ Revision: 395471
- new version 0.1.6

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-3mdv2010.0
+ Revision: 384691
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.1.5-2mdv2010.0
+ Revision: 382167
- rebuild for new libvte

* Sat May 23 2009 Funda Wang <fwang@mandriva.org> 0.1.5-1mdv2010.0
+ Revision: 378898
- New version 0.1.5

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 319294
- new version 0.1.4

* Tue Dec 16 2008 Funda Wang <fwang@mandriva.org> 0.1.3-2mdv2009.1
+ Revision: 314828
- add upstream patch to rebuild with new flags

* Sat Jun 28 2008 Funda Wang <fwang@mandriva.org> 0.1.3-1mdv2009.0
+ Revision: 229717
- New version 0.1.3

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2009.0
+ Revision: 227652
- BR intltool
- import lxterminal


